<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    tools:context=".SignActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/size_48"
        android:background="@color/colorWrite">

        <ImageView
            android:id="@+id/img_back"
            android:layout_width="@dimen/size_32"
            android:layout_height="@dimen/size_32"
            android:layout_centerVertical="true"
            android:layout_marginLeft="@dimen/size_5"
            android:padding="@dimen/size_8"
            android:src="@drawable/rv_common_icon_back_dark" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:ellipsize="end"
            android:gravity="center"
            android:maxWidth="320dp"
            android:maxLines="1"
            android:text="签到领积分"
            android:textColor="@color/textMain"
            android:textSize="@dimen/text_18" />
    </RelativeLayout>


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="180dip"
                android:scaleType="fitXY"
                android:src="@drawable/banner_sign" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/size_15"
                android:layout_marginRight="@dimen/dp_10"
                android:background="@drawable/bg_points_sign"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/size_10"
                android:paddingTop="@dimen/size_10"
                android:paddingRight="@dimen/size_10"
                android:paddingBottom="@dimen/size_10">

                <ImageView
                    android:id="@+id/img_icon"
                    android:layout_width="@dimen/size_40"
                    android:layout_height="@dimen/size_40"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/icon_sign" />

                <TextView
                    android:id="@+id/tv_sign_day"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_toRightOf="@+id/img_icon"
                    android:text="你已累计签到0天" />

                <Button
                    android:id="@+id/btn_sign"
                    android:layout_width="@dimen/size_90"
                    android:layout_height="@dimen/size_35"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:background="@drawable/bg_sing_btn_able"
                    android:gravity="center"
                    android:text="打卡"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_14" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_10"
                android:background="@drawable/bg_points_sign"
                android:orientation="vertical">

                <com.rv.points.view.WeekNavigation
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:background="@drawable/bg_sign_weeks"
                    android:gravity="center_vertical" />

                <com.rv.points.view.InnerGridView
                    android:id="@+id/view_month"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/size_2"
                    android:layout_marginTop="@dimen/size_5"
                    android:layout_marginRight="@dimen/size_2"
                    android:layout_marginBottom="@dimen/size_2"
                    android:background="#fffbf5"
                    android:numColumns="7" />
            </LinearLayout>

        </LinearLayout>
    </ScrollView>
</LinearLayout>